scala.collection.jcl.SortedSet
class Range

[source: `scala/collection/jcl/SortedSet.scala`]

`protected` `class` Range(from : Option[A], until : Option[A])
  `extends` Filter

Direct Known Subclasses:
  SortedSetWrapper.Range

Method Summary
`override def` | elements : MutableIterator[A] Creates a new iterator over all elements contained in this object.
`override def` | has (elem : A) : Boolean
`override def` | rangeImpl (from : Option[A], until : Option[A]) : SortedSet[A] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Methods inherited from Filter
compare, projection

Methods inherited from SortedSet
keySet, first, subsetOf, hasAll, last

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Filter
retain

Methods inherited from Set
++, --, +, -, isEmpty, contains, clear, transform

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, equals, hashCode, toArray

Methods inherited from Function1
toString, compose, andThen

Methods inherited from Filter
add, remove, size

Methods inherited from Collection
addAll, -=, +=

Methods inherited from MutableIterable
removeAll, retainAll, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | RangeIterator (underlying : Buffered)`extends` MutableIterator[A]

Method Details

`override` `def` elements : MutableIterator[A]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`override` `def` has(elem : A) : Boolean

Returns
  true if t is in the collection.

`override` `def` rangeImpl(from : Option[A], until : Option[A]) : SortedSet[A]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.